DBusTypeReader Struct Reference

The type reader is an iterator for reading values from a block of values. More...

`#include <dbus-marshal-recursive.h>`

## Data Fields

dbus_uint32_t | byte_order: 8
| byte order of the block
dbus_uint32_t | finished: 1
| marks we're at end iterator for cases where we don't have another way to tell
dbus_uint32_t | array_len_offset: 3
| bytes back from start_pos that len ends
const DBusString * | type_str
| string containing signature of block
int | type_pos
| current position in signature
const DBusString * | value_str
| string containing values of block
int | value_pos
| current position in values
const DBusTypeReaderClass * | klass
| the vtable for the reader
union {
struct {
int start_pos
| for array readers, the start of the array values
} array
} | u
| class-specific data

## Detailed Description

The type reader is an iterator for reading values from a block of values.

Definition at line 39 of file dbus-marshal-recursive.h.

The documentation for this struct was generated from the following file:

- dbus-marshal-recursive.h